//
// db.h
// ausgelagerte DB-Funktionen
//
// GreyDNS - Greylisting DNS-Server
// Copyright (C) 2007  Robert Schulze (rob@rob-schulze.de)
// http://www.rob-schulze.de/publikationen/frickelworx/greydns
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
///////////////////////////////////////////////////////////////////////////////

#ifndef __db_h
#define __db_h

#include <stdio.h>

#ifdef USE_QDBM

#include <qdbm/depot.h>

typedef DEPOT DBTYPE;

#endif /* USE_QDBM */

#ifdef USE_HASH
#include "hash.h"

typedef struct hash DBTYPE;

#endif /* USE_HASH */

DBTYPE *db_open(const char *);
int db_get(DBTYPE *, const char *);
int db_set(DBTYPE *, const char *, int );
void db_close(DBTYPE *);

#endif
